import sys 

from libutils_achvbsT import get_chvb_compliance
from numpy import array,linspace

# import data from preparation file
pr=__import__(sys.argv[1])
jobBaseName=pr.jobBaseName
crack_lengths=pr.crack_lengths
nJobs=pr.nJobs

# build data set files

hroDataSets=[]
for i in range(1,nJobs+1):
	jobFolder="data/"+jobBaseName+"-"+str(i)
	u2dataFile=jobBaseName+"-"+str(i)+"_QQ-statics0_U2.hro"
	f2dataFile=jobBaseName+"-"+str(i)+"_QQ-statics0_RF2.hro"
	u2path=jobFolder+"/"+u2dataFile
	f2path=jobFolder+"/"+f2dataFile
	hroDataSets.append([(u2path,f2path),('k','-',1,'s','k','k',4)])

# compliance

Cs=array(get_chvb_compliance(hroDataSets,symFactor=1.))

print "# %12s %12s" % ("crack_length", "compliance")
print "# %12s %12s" % ("[um]", "[um/mN]")
for i in range(len(crack_lengths)):
	print "  %12.6f %12.6f" % (crack_lengths[i], Cs[i])


