# libutils_achvbsT.py

###
###
###
def get_hro_data(hroFile):
	from numpy import loadtxt,unique,array
	data=loadtxt(hroFile)
	d=[]
	if len(data.shape)==1:
		d.append(array([data]))
	else:
		tdlen=len(data[:,0])
		dlen=len(unique(data[:,0]))
		for i in range(0,tdlen,dlen):
			d.append(data[i:i+dlen,:])
	return d
###
###
###
def get_chvb_compliance(hroDataSets, nFrame=1,symFactor=1.):
	from numpy import sum,ones
	from os.path import split
	
	if hroDataSets != []:
		C=[]
		for i, hroSet in enumerate(hroDataSets):
			if len(hroSet)>1:
				colr,lsty,lwdh,mark,mec,mfc,ms=hroSet[1]
			u2d=get_hro_data(hroSet[0][0])
			rf2d=get_hro_data(hroSet[0][1])
			label=split(hroSet[0][1])[1]
			u2=u2d[0][0,1:]
			rf2=rf2d[0][:,1:]
			f2=sum(rf2,axis=0)
			C.append(u2[nFrame]/(symFactor*f2[nFrame]))
	return C


