#!/bin/bash

# command for running local parallel abaqus jobs via GNU parallel command
# command usage example:
#
# 	parallel --jobs N -a JOB_LIST_FILE ./run_local_parallel_abaqus_job.sh
#
# N is the number of parallel jobs
# JOB_LIST_FILE is a text file that contains the list of jobNames for which 
# abaqus calculations would run

ROOTDIR=$PWD
jobRootPath="./jobs"

cd "${jobRootPath}/$1"
echo "Running job in... ${PWD}"
abaqus job=$1 cpus=4 interactive
cd $ROOTDIR
